question

zezba9000 avatar image
zezba9000 asked

AUTHENTICATION_ERROR Says i'm Guest ?!

Hi i'm trying to use GameCirlce in an app but keep getting the "AUTHENTICATION_ERROR" when the "onServiceReady" callback gets fired. And its not just me, other games I download and try have the same issue. What is going one? Why is there no GameCircle app I can check my status with like other platforms have? I'm testing with a Kindle Fire 1st gen. Thanks.
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

zezba9000 avatar image
zezba9000 answered
More info. My app runs fine on the new Fire TV box and connects to GameCircle, but not on my Kindle Fire 1st gen. What is wrong? I get this error on the device >>>>> I/AmazonInsightsSDK( 3172): Event: 'GameC...' recorded to local filestore E/GC_NetworkCallFactory( 3172): Unable to get nativeCall from request {"rid":69,"parameters":{"undefined":false}} E/GC_NetworkCallFactory( 3172): org.json.JSONException: No value for nativeCall E/GC_NetworkCallFactory( 3172): at org.json.JSONObject.get(JSONObject.java:354) E/GC_NetworkCallFactory( 3172): at org.json.JSONObject.getString(JSONObject.java:510) E/GC_NetworkCallFactory( 3172): at com.amazon.ags.html5.javascript.CallHandlerBase.handleMessage(CallHandlerBase.java:53) E/GC_NetworkCallFactory( 3172): at com.amazon.ags.html5.javascript.domain.JavascriptInterface$8.run(JavascriptInterface.java:235) E/GC_NetworkCallFactory( 3172): at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1088) E/GC_NetworkCallFactory( 3172): at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:581) E/GC_NetworkCallFactory( 3172): at java.lang.Thread.run(Thread.java:1019) E/GC_NetworkCallFactory( 3172): No receiver for reply associated with rid: 69
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Sujoy@Amazon avatar image
Sujoy@Amazon answered
Can you check what is the version of Amazon Games Services installed in your device? The version should be 1.1.12 or more in order to work GameCircle 2.x properly.
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

zezba9000 avatar image
zezba9000 answered
Its version 1.1_1101410. How do I upgrade GameCircle on 1st gen kindle? I have System Version 6.3.3. But the "Update you Kindle" button is grayed out? Message was edited by: zezba9000
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

zezba9000 avatar image
zezba9000 answered
Also its Amazon GameCircle NOT (Services) on my device.
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Sujoy@Amazon avatar image
Sujoy@Amazon answered
Please follow instructions documented here : http://www.amazon.com/gp/help/customer/display.html?nodeId=200790620
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Sujoy@Amazon avatar image
Sujoy@Amazon answered
If this does not help, I would suggest you to contact Kindle customer care for device update. Thanks.
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

zezba9000 avatar image
zezba9000 answered
Because it already has OS 6.3.3 the update button is grayed out. So I was trying to just update the apps: http://www.amazon.com/gp/help/customer/display.html?nodeId=200226050 But that uses the same system and thus the button is grayed out.
10 |5000

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.